Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036608
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-08-04 13:252017-09-21 16:49
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision3823a47da98c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036608: 2 flush of 16ms each in MyOpenbravoActionHandler called during ERP login

Description2 flushes with high entity count of 277 and taking 30ms of 500ms total time
action is probably RELOAD_WIDGETS preparing full list of all available widget-classes

56282 [http-bio-8080-exec-10] INFO org.openbravo.dal.service.OBDal - Flush of 277 entities and 1403 collections took: 16
56297 [http-bio-8080-exec-10] INFO org.openbravo.dal.service.OBDal - Content of session: {ADLanguage=1, ADModule=6, ADReference=10, ADTab=13, ADTable=11, ModuleDBPrefix=24, OBCLKER_Template=1, OBCQL_QueryColumn=68, OBCQL_WidgetQuery=10, OBKMO_WidgetClass=33, OBKMO_WidgetClassMenu=2, OBKMO_WidgetInstance=8, OBKMO_WidgetURL=13, OBSERDS_Datasource=1, OBUIAPP_Parameter=75, Organization=1}
56297 [http-bio-8080-exec-10] INFO org.openbravo.dal.service.OBDal - Flush of 277 entities and 1403 collections took: 15
56303 [http-bio-8080-exec-10] INFO org.openbravo.dal.core.DalRequestFilter - request= /openbravo/org.openbravo.client.kernel?_action=org.openbravo.client.myob.MyOpenbravoActionHandler flushCount: 2 requestTime: 499
Steps To Reproduce-
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0036606 newplatform Clean up extra not requires flush() calls 

-  Notes
(0098394)
shuehner (administrator)
2017-08-04 13:31

Both bad usage of new DalConnectionProvider()

Note instead of fixing OBMEssageUtils has copy of functions not taking conn argument and handling that inside
(0098469)
hgbot (developer)
2017-08-10 11:32

Repository: erp/devel/pi
Changeset: 3823a47da98cd13a44d383c09788bc8c300aed7f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Aug 10 11:29:45 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3823a47da98cd13a44d383c09788bc8c300aed7f [^]

fixed issue 36608: unneded flushes in MyOpenbravoActionHandler

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoActionHandler.java
---
(0098485)
caristu (developer)
2017-08-11 11:07

Code reviewed + tested OK.
(0099307)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-04 13:25 shuehner New Issue
2017-08-04 13:25 shuehner Assigned To => platform
2017-08-04 13:25 shuehner Modules => Core
2017-08-04 13:25 shuehner Triggers an Emergency Pack => No
2017-08-04 13:25 shuehner Relationship added blocks 0036606
2017-08-04 13:31 shuehner Note Added: 0098394
2017-08-10 11:29 alostale Tag Attached: Performance
2017-08-10 11:29 alostale Assigned To platform => alostale
2017-08-10 11:29 alostale Review Assigned To => caristu
2017-08-10 11:32 hgbot Checkin
2017-08-10 11:32 hgbot Note Added: 0098469
2017-08-10 11:32 hgbot Status new => resolved
2017-08-10 11:32 hgbot Resolution open => fixed
2017-08-10 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3823a47da98cd13a44d383c09788bc8c300aed7f [^]
2017-08-11 11:07 caristu Note Added: 0098485
2017-08-11 11:07 caristu Status resolved => closed
2017-08-11 11:07 caristu Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099307


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker